- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# MRenderTarget Class Reference

# OpenMayaRender - API module for rendering

Search for all occurrences

## Detailed Description

An instance of a render target that may be used with Viewport 2.0.

This class represents a render target that may be used with the MRenderOperation class for rendering in Viewport 2.0.

`#include <MRenderTargetManager.h>`

List of all members.

## Public Member Functions
| ~MRenderTarget ()
| Destructor.
MStatus | updateDescription (const MRenderTargetDescription &targetDescription)
| Change the description of a render target.
void * | resourceHandle () const
| This method allows access to the draw API dependent handle for a render target.
## Static Public Member Functions
static const char * | className ()
| Returns the name of this class.

## Member Function Documentation

MStatus updateDescription | ( | const MRenderTargetDescription & | targetDescription | ) |

Search for all occurrences

Change the description of a render target.

This will mean a reallocation of the targets internal representation.

A common situation requiring this method to be called is to resize a render target.

Parameters:

  [in] | targetDescription | Description to update the target to.

Returns:
  Status code

Status Codes:
  - MStatus::kSuccess The operation executed successfully.
  - MStatus::kFailure The operation failed.

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  Name of this class.

void * resourceHandle | ( |  | ) | const

Search for all occurrences

This method allows access to the draw API dependent handle for a render target.

This handle is owned by the MRendertarget and is provided to allow access to use a target as a read-only object.

Modifications should never be performed on this target handle.

Any modifications may result in unpredictable stability as the MRenderTarget no longer has knowledge of the target contents.

For OpenGL, a pointer to an OpenGL texture identifier is returned.

Returns:
  A pointer (handle) to the target if successful, otherwise NULL.

MRenderTarget MRenderTarget MRenderTarget MRenderTarget MRenderTarget MRenderTarget MRenderTarget MRenderTarget MRenderTarget MRenderTarget
MRenderTarget MRenderTarget MRenderTarget MRenderTarget MRenderTarget MRenderTarget MRenderTarget MRenderTarget MRenderTarget MRenderTarget